# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499282

Name:           xfce4-notifyd
Version:        0.1.0
Release:        3%{?dist}
Summary:        Simple notification daemon for Xfce

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://spuriousinterrupt.org/projects/xfce4-notifyd
Source0:        http://spuriousinterrupt.org/files/xfce4-notifyd/xfce4-notifyd-%{version}.tar.bz2
Patch0:         xfce4-notifyd-0.1.0-dbus-service-name.patch
Patch1:         xfce4-notifyd-0.1.0-send-second-arg-notification-closed.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  libxfcegui4-devel >= 4.5.90
BuildRequires:  xfconf-devel >= 4.5.90
BuildRequires:  dbus-glib-devel >= 0.72
BuildRequires:  libglade2-devel >= 2.6.0
BuildRequires:  libsexy-devel >= 0.1.6
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
Requires:       dbus
Requires:       hicolor-icon-theme
# for compatibility this package provides
Provides:       desktop-notification-daemon
# and obsoletes all notification-daemon-xfce releases
Obsoletes:      notification-daemon-xfce <= 0.3.7


%description
Xfce4-notifyd is a simple, visually-appealing notification daemon for Xfce 
that implements the freedesktop.org desktop notifications specification.
Features:
* Themable using the GTK+ theming mechanism
* Visually appealing: rounded corners, shaped windows
* Supports transparency and fade effects


%prep
%setup -q
%patch0 -p1 -b .dbus-service-name
%patch1 -p1 -b .reason-arg

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
desktop-file-install                                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-only-show-in=XFCE                                 \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce4-notifyd-config.desktop
%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :



%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
# FIXME: Tell author to include the correct COPYING file
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/xfce4-notifyd-config
%{_libexecdir}/xfce4-notifyd
%{_datadir}/applications/xfce4-notifyd-config.desktop
%{_datadir}/dbus-1/services/xfce-org.freedesktop.Notifications.service
%{_datadir}/icons/hicolor/48x48/apps/xfce4-notifyd.png
%{_datadir}/themes/Default/xfce-notify-4.0/
%{_datadir}/themes/Smoke/
%{_datadir}/themes/ZOMG-PONIES!/


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-2
- Patch to rename dbus-service file to avoid conflict with notification-daemon
- Add Debian's patch support the reason arg in libnotify 0.4.5

* Mon Feb 23 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-1
- Initial Fedora Package
